vich_uploader:
  db_driver: orm

  mappings:
    site_image:
      uri_prefix: /images/site
      upload_destination: "%kernel.project_dir%/public/images/site"
      namer:
        service: Vich\UploaderBundle\Naming\PropertyNamer
        options: { property: 'imageName' }
      inject_on_load: false
      delete_on_update: true
      delete_on_remove: true
    site_email:
      uri_prefix: /images/site
      upload_destination: "%kernel.project_dir%/public/images/site"
      namer:
        service: Vich\UploaderBundle\Naming\PropertyNamer
        options: { property: 'ImageEmailName' }
      inject_on_load: false
      delete_on_update: true
      delete_on_remove: true
    site_favicon:
      uri_prefix: /images/site
      upload_destination: "%kernel.project_dir%/public/images/site"
      namer:
        service: Vich\UploaderBundle\Naming\PropertyNamer
        options: { property: 'faviconName' }
      inject_on_load: false
      delete_on_update: true
      delete_on_remove: true
    social_network:
      uri_prefix: /images/site
      upload_destination: "%kernel.project_dir%/public/images/site"
      namer:
        service: Vich\UploaderBundle\Naming\PropertyNamer
        options: { property: 'slugName' }
      inject_on_load: false
      delete_on_update: true
      delete_on_remove: true
    room:
      uri_prefix: /images/room
      upload_destination: "%kernel.project_dir%/public/images/room"
      namer: Vich\UploaderBundle\Naming\UniqidNamer
      inject_on_load: false
      delete_on_update: true
      delete_on_remove: true
    blog:
      uri_prefix: /images/blog
      upload_destination: "%kernel.project_dir%/public/images/blog"
      namer: Vich\UploaderBundle\Naming\SmartUniqueNamer
      inject_on_load: false
      delete_on_update: true
      delete_on_remove: true
    prescriber:
      uri_prefix: /images/prescriber
      upload_destination: "%kernel.project_dir%/public/images/prescriber"
      namer: Vich\UploaderBundle\Naming\SmartUniqueNamer
      inject_on_load: false
      delete_on_update: true
      delete_on_remove: true
    realization:
      uri_prefix: /images/realization
      upload_destination: "%kernel.project_dir%/var/images/realization" #Images protégées
      namer: Vich\UploaderBundle\Naming\SmartUniqueNamer
      inject_on_load: false
      delete_on_update: true
      delete_on_remove: true
    library:
      uri_prefix: /images/library
      upload_destination: "%kernel.project_dir%/var/images/library" #Images protégées
      namer: Vich\UploaderBundle\Naming\HashNamer
      inject_on_load: false
      delete_on_update: true
      delete_on_remove: true
    gallery:
      uri_prefix: /images/gallery
      upload_destination: "%kernel.project_dir%/public/images/gallery"
      namer: Vich\UploaderBundle\Naming\SmartUniqueNamer
      inject_on_load: false
      delete_on_update: true
      delete_on_remove: true
    activity:
      uri_prefix: /images/activity
      upload_destination: "%kernel.project_dir%/public/images/activity"
      namer: Vich\UploaderBundle\Naming\SmartUniqueNamer
      inject_on_load: false
      delete_on_update: true
      delete_on_remove: true
    timeline:
      uri_prefix: /images/timeline
      upload_destination: "%kernel.project_dir%/public/images/timeline"
      namer: Vich\UploaderBundle\Naming\SmartUniqueNamer
      inject_on_load: false
      delete_on_update: true
      delete_on_remove: true
    userProfile:
      uri_prefix: /images/user/profile
      upload_destination: "%kernel.project_dir%/public/images/user/profile"
      namer: Vich\UploaderBundle\Naming\SmartUniqueNamer
      inject_on_load: false
      delete_on_update: true
      delete_on_remove: true
